Subject: Remove delete button for sys_file
Description

The edit view of file meta data currently has
a delete button, which sets the record of this
file to deleted, but does not delete the file itself.

It might be useful at some point
to use this to implement some recycler
functionality, but currently the FAL layer
has no support for it and a file with a deleted
meta data record is an inconsistent state
which has to be avoided by all means.

Related issues:
related to Core - Bug # 44581: Editing file properties and pushing the delete... Closed 2013-01-16

Associated revisions
Revision e5d2ba5e - 2013-02-01 11:31 - Helmut Hummel 

[BUGFIX] Remove delete button for sys_file

The edit view of file meta data currently has
a delete button, which sets the record of this
file to deleted, but does not delete the file itself.

It might be useful at some point
to use this to implement some recycler
functionality, but currently the FAL layer
has no support for it and a file with a deleted
meta data record is an inconsistent state
which has to be avoided by all means.

Resolves: #45065
Releases: 6.0, 6.1

Change-Id: I5033107cf4021d127e274bbe12e3aa08ea1b4ef6
Reviewed-on: https://review.typo3.org/17917
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Revision dc1c3271 - 2013-02-01 11:31 - Helmut Hummel 

[BUGFIX] Remove delete button for sys_file

The edit view of file meta data currently has
a delete button, which sets the record of this
file to deleted, but does not delete the file itself.

It might be useful at some point
to use this to implement some recycler
functionality, but currently the FAL layer
has no support for it and a file with a deleted
meta data record is an inconsistent state
which has to be avoided by all means.

Resolves: #45065
Releases: 6.0, 6.1

Change-Id: I5033107cf4021d127e274bbe12e3aa08ea1b4ef6
Reviewed-on: https://review.typo3.org/17916
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2013-02-01 11:29 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/17916

#2 - 2013-02-01 11:31 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17917

#3 - 2013-02-01 12:32 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dc1c32715077cb9eb0f31569f0e4ca49a03c252f.

#4 - 2013-02-01 21:11 - Ingo Renner
- Category set to File Abstraction Layer (FAL)
- Status changed from Resolved to Needs Feedback
- Assigned To set to Helmut Hummel

2015-08-04 2/3

https://review.typo3.org/17916
https://review.typo3.org/17916
https://review.typo3.org/17917


I agree with the problem of the inconsistent state, but wouldn't the correct solution be to hook into TCEmain, monitor sys_file deletes and then also
remove the file? Simply merging this one doesn't seem right to me...

#5 - 2013-02-02 20:36 - Helmut Hummel
- Status changed from Needs Feedback to Resolved
- Assigned To deleted (Helmut Hummel)

Ingo Renner wrote:

I agree with the problem of the inconsistent state, but wouldn't the correct solution be to hook into TCEmain, monitor sys_file deletes and then also
remove the file? Simply merging this one doesn't seem right to me...

The whole file/ data handling needs to be re-thought with FAL. There are a still a lot of things to do in this area.
Any help in this area is appreciated. Feel free to work on that.

Hiding the delete button is very effective with minimum amount of impact and effort to avoid accidental removal of the record.

Please open new tickets for further improvements in this area.

#6 - 2013-02-03 07:48 - Ingo Renner

Agreed. I might have a 6.0 project soon, would be happy to help.
